Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: smartlock::DoorAccessControl::PeriodicTimeCondition Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::DoorAccessControl::PeriodicTimeCondition Struct Reference

A condition representing a periodic time range. More...

`import "DoorAccessControl.idl";`

## Public Attributes
boolean | enabled
| Condition is enabled.
vector< int > | daysOfWeek
| Range for these days of the week (valid values are 0 - 6, 0 is Sunday)
int | fromHourOfDay
| Range periodically starts from this hour of the day (0 - 23)
int | tillHourOfDay
| Range periodically ends this hour of the day (0 - 23)
int | fromMinuteOfHour
| Specify minute of starting hour (0 - 59)
int | tillMinuteOfHour
| Specify minute of ending hour (0 - 59)

## Detailed Description

A condition representing a periodic time range.

Once this condition is enabled, weekdays have to be specified in order to get granted access. A specific clock time range can be set to allow access only certain times of the day. The system's local time will be used (as defined by the configured time zone).

The clock time range will wrap over into the next day if fromHourOfDay:fromMinuteOfHour >= tillHourOfDay:tillMinuteOfHour, meaning that the weekday of fromHourOfDay:fromMinuteOfHour will be checked.

Definition at line 45 of file DoorAccessControl.idl.

## Member Data Documentation

## ◆ daysOfWeek

vector<int> smartlock::DoorAccessControl::PeriodicTimeCondition::daysOfWeek

Range for these days of the week (valid values are 0 - 6, 0 is Sunday)

Definition at line 47 of file DoorAccessControl.idl.

## ◆ enabled

boolean smartlock::DoorAccessControl::PeriodicTimeCondition::enabled

Condition is enabled.

Definition at line 46 of file DoorAccessControl.idl.

## ◆ fromHourOfDay

int smartlock::DoorAccessControl::PeriodicTimeCondition::fromHourOfDay

Range periodically starts from this hour of the day (0 - 23)

Definition at line 48 of file DoorAccessControl.idl.

## ◆ fromMinuteOfHour

int smartlock::DoorAccessControl::PeriodicTimeCondition::fromMinuteOfHour

Specify minute of starting hour (0 - 59)

Definition at line 50 of file DoorAccessControl.idl.

## ◆ tillHourOfDay

int smartlock::DoorAccessControl::PeriodicTimeCondition::tillHourOfDay

Range periodically ends this hour of the day (0 - 23)

Definition at line 49 of file DoorAccessControl.idl.

## ◆ tillMinuteOfHour

int smartlock::DoorAccessControl::PeriodicTimeCondition::tillMinuteOfHour

Specify minute of ending hour (0 - 59)

Definition at line 51 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl